#include "unistd.h"
#include <stdio.h>
#include "drivers/mss_uart/mss_uart.h"
#include "drivers/mss_gpio/mss_gpio.h"
#include <inttypes.h>

//Initialize registers to read/write
#define APB_TO_DCS_0     0x50000000U
#define control 		(*(volatile int32_t *) 0x50040000)
#define L1_latency 		(*(volatile int32_t *) 0x50040010)
#define L2_latency 		(*(volatile int32_t *) 0x50040070)
#define L2_extended_lat (*(volatile int32_t *) 0x50040090)
#define L1_msg_lat 		(*(volatile int32_t *) 0x500400A0)
#define Pre_pulse_cnt	(*(volatile int32_t *) 0x500400B0)
#define L0_counter 		(*(volatile int32_t *) 0x500400D0)
#define L1_counter 		(*(volatile int32_t *) 0x500400E0)
#define L1_msg_counter	(*(volatile int32_t *) 0x500400F0)
#define L2a_counter		(*(volatile int32_t *) 0x50040100)
#define L2r_counter		(*(volatile int32_t *) 0x50040110)

//Define a constant delay value
#define DELAY_LOAD_VALUE	0x00080000     			//about half a second


int i = 0;


int main()
{
/*
* Initialize MSS GPIOs.
*/




/*
 * Configure MSS GPIO pin
 */
//MSS_GPIO_config( MSS_GPIO_0 , MSS_GPIO_OUTPUT_MODE );

/*
 * Set initial state of GPIO output
 */
//MSS_GPIO_set_output(MSS_GPIO_0,0);


//Using UART 0
//mss_uart_instance_t * const gp_my_uart = &g_mss_uart0;

/*
 * Using one delay to write and one delay to read
 */
volatile int32_t delay_count_1 = 0;
volatile int32_t delay_count_2 = 0;
delay_count_1 = DELAY_LOAD_VALUE/2;
delay_count_2 = DELAY_LOAD_VALUE;

/*
 * Variables to hold values read from register
 */
int32_t L0, L1, L2a, L2r;
unsigned long ctrl;

/*
 * data to be sent on UART, holding chopped memory data
 */
//uint8_t data[4];

    /*--------------------------------------------------------------------------
     * Initialize and configure UART.
     */

	while( 1 )
	{
		-- delay_count_1;
		-- delay_count_2;





		if (delay_count_1 <= 0)
		{
			delay_count_1 = DELAY_LOAD_VALUE;
		}

		/*
		 * Reading memory values
		 */
		if (delay_count_2 <= 0)
		{
			delay_count_2 = DELAY_LOAD_VALUE;
			ctrl = control;
			L0 = L0_counter;
			L1= L1_counter;
			L2a= L2a_counter;
			L2r= L2r_counter;
			//printf ("Data in control register is: %lu", ctrl);

			/*
			 * Chopping data from memory, sending it to UART.
			 * Reading hex/binary values from console
			 */
		   // data[3] = m1;
		   //data[2] = m1 >>8;
		   //data[1] = m1 >>16;
		   //data[0] = m1 >>24;

		}

	}
}

