-- Actel Corporation Proprietary and Confidential
-- Copyright 2010 Actel Corporation.  All rights reserved.
-- ANY USE OR REDISTRIBUTION IN PART OR IN WHOLE MUST BE HANDLED IN
-- ACCORDANCE WITH THE ACTEL LICENSE AGREEMENT AND MUST BE APPROVED
-- IN ADVANCE IN WRITING.
-- Revision Information:
-- 05Feb10              Production Release Version 3.0
-- SVN Revision Information:
-- SVN $Revision: 19036 $
-- SVN $Date: 2013-01-11 08:25:22 -0800 (Fri, 11 Jan 2013) $
library Ieee;
use IEEe.stD_logiC_1164.all;
use IEEE.Numeric_STD.all;
entity CAPB3IL is
port (CAPB3Oi: in std_LOGIC_vector(16 downto 0);
Prdatas0: in STD_logic_VECTOR(31 downto 0);
prdATAS1: in std_loGIC_vector(31 downto 0);
PRDAtas2: in STD_Logic_veCTOR(31 downto 0);
prdatas3: in std_lOGIC_vector(31 downto 0);
PrdataS4: in sTD_LOgic_veCTOR(31 downto 0);
PRDAtas5: in std_lOGIC_vectoR(31 downto 0);
PRDatas6: in std_logiC_VECTOr(31 downto 0);
PRDATAS7: in Std_logic_veCTOR(31 downto 0);
prdATAS8: in STD_logic_vecTOR(31 downto 0);
pRDATAS9: in Std_logic_VECTOR(31 downto 0);
prdATAS10: in std_LOGIC_VECtor(31 downto 0);
Prdatas11: in STd_logiC_Vector(31 downto 0);
prdataS12: in Std_lOGIC_vector(31 downto 0);
prDATAS13: in STD_logic_veCTOR(31 downto 0);
pRDATAS14: in STD_logic_VECTOR(31 downto 0);
pRDATAS15: in std_lOGIC_vector(31 downto 0);
PrdatAS16: in STd_logic_VECTor(31 downto 0);
CAPB3lI: in std_LOGic_vecTOR(16 downto 0);
CAPB3ii: in sTD_LOGic_vecTOR(16 downto 0);
preaDY: out Std_logiC;
pslVERR: out std_LOGIc;
PRData: out sTD_LOgic_veCTOR(31 downto 0));
end entity CAPB3il;

architecture CAPB3O0 of CAPB3il is

constant CAPB3l0: std_LOGIC_vectoR(4 downto 0) := "00000";

constant CAPB3i0: std_lOGIC_vector(4 downto 0) := "00001";

constant CAPB3o1: Std_logiC_VECtor(4 downto 0) := "00010";

constant CAPB3L1: std_LOGIc_vectOR(4 downto 0) := "00011";

constant CAPB3I1: std_logIC_Vector(4 downto 0) := "00100";

constant CAPB3ooL: std_logIC_Vector(4 downto 0) := "00101";

constant CAPB3lol: STD_logic_VECTOR(4 downto 0) := "00110";

constant CAPB3IOL: std_logIC_VEctor(4 downto 0) := "00111";

constant CAPB3olL: std_LOGIc_vectoR(4 downto 0) := "01000";

constant CAPB3lll: stD_LOGIC_vector(4 downto 0) := "01001";

constant CAPB3ILl: STD_logic_vectOR(4 downto 0) := "01010";

constant CAPB3oil: Std_logic_vECTOR(4 downto 0) := "01011";

constant CAPB3lIL: std_loGIC_VECTor(4 downto 0) := "01100";

constant CAPB3iil: STD_logic_vectOR(4 downto 0) := "01101";

constant CAPB3o0l: stD_LOGIC_vector(4 downto 0) := "01110";

constant CAPB3l0l: STD_LOGIc_vector(4 downto 0) := "01111";

constant CAPB3i0l: std_loGIC_VEctor(4 downto 0) := "10000";

signal CAPB3o1L: std_LOGIC;

signal CAPB3l1L: STD_logic;

signal CAPB3i1l: std_logIC_VECTOr(31 downto 0);

signal CAPB3OOi: STD_logic_vectoR(4 downto 0);

signal CAPB3Loi: std_LOGIC_Vector(31 downto 0);

begin
CAPB3loi <= ( others => '0');
CAPB3OOI(4) <= CAPB3OI(16);
CAPB3ooi(3) <= CAPB3OI(15) or CAPB3OI(14)
or CAPB3OI(13)
or CAPB3oi(12)
or CAPB3oI(11)
or CAPB3OI(10)
or CAPB3OI(9)
or CAPB3oi(8);
CAPB3ooi(2) <= CAPB3oi(15) or CAPB3oi(14)
or CAPB3oi(13)
or CAPB3OI(12)
or CAPB3oi(7)
or CAPB3OI(6)
or CAPB3OI(5)
or CAPB3oi(4);
CAPB3oOI(1) <= CAPB3oi(15) or CAPB3OI(14)
or CAPB3OI(11)
or CAPB3oi(10)
or CAPB3oi(7)
or CAPB3oi(6)
or CAPB3OI(3)
or CAPB3oi(2);
CAPB3ooi(0) <= CAPB3OI(15) or CAPB3OI(13)
or CAPB3oi(11)
or CAPB3oI(9)
or CAPB3oi(7)
or CAPB3oi(5)
or CAPB3OI(3)
or CAPB3oi(1);
process (CAPB3OOI,CAPB3oi,prdatas0,CAPB3loi,PRDATas1,pRDATAS2,prdatAS3,PRDatas4,PRDATAS5,pRDATAS6,prdatas7,PRDATAS8,prdatas9,PRDATAS10,prdatAS11,PRDATas12,prdatas13,prDATAS14,PRDATAS15,PRDAtas16)
begin
case CAPB3ooi is
when CAPB3l0 =>
if ((CAPB3oi(0)) = '1') then
CAPB3i1l(31 downto 0) <= pRDATAS0(31 downto 0);
else
CAPB3i1l(31 downto 0) <= CAPB3loi(31 downto 0);
end if;
when CAPB3I0 =>
CAPB3i1L(31 downto 0) <= PRDATAs1(31 downto 0);
when CAPB3o1 =>
CAPB3i1L(31 downto 0) <= prdATAS2(31 downto 0);
when CAPB3L1 =>
CAPB3i1l(31 downto 0) <= pRDATAS3(31 downto 0);
when CAPB3i1 =>
CAPB3i1l(31 downto 0) <= prdatas4(31 downto 0);
when CAPB3Ool =>
CAPB3i1l(31 downto 0) <= PRDATAS5(31 downto 0);
when CAPB3LOL =>
CAPB3i1l(31 downto 0) <= pRDATAS6(31 downto 0);
when CAPB3iol =>
CAPB3i1l(31 downto 0) <= prdatas7(31 downto 0);
when CAPB3olL =>
CAPB3I1L(31 downto 0) <= Prdatas8(31 downto 0);
when CAPB3lll =>
CAPB3i1l(31 downto 0) <= PRDAtas9(31 downto 0);
when CAPB3Ill =>
CAPB3i1l(31 downto 0) <= Prdatas10(31 downto 0);
when CAPB3oiL =>
CAPB3i1L(31 downto 0) <= Prdatas11(31 downto 0);
when CAPB3lIL =>
CAPB3I1L(31 downto 0) <= Prdatas12(31 downto 0);
when CAPB3iil =>
CAPB3i1L(31 downto 0) <= prdataS13(31 downto 0);
when CAPB3O0l =>
CAPB3I1L(31 downto 0) <= pRDATAS14(31 downto 0);
when CAPB3l0L =>
CAPB3I1L(31 downto 0) <= prdatas15(31 downto 0);
when CAPB3i0l =>
CAPB3i1l(31 downto 0) <= prdatas16(31 downto 0);
when others =>
CAPB3i1l(31 downto 0) <= CAPB3loi(31 downto 0);
end case;
end process;
process (CAPB3OOI,CAPB3oi,CAPB3li)
begin
case CAPB3ooI is
when CAPB3l0 =>
if ((CAPB3oi(0)) = '1') then
CAPB3o1l <= CAPB3li(0);
else
CAPB3O1L <= '1';
end if;
when CAPB3i0 =>
CAPB3o1l <= CAPB3li(1);
when CAPB3O1 =>
CAPB3o1l <= CAPB3li(2);
when CAPB3l1 =>
CAPB3O1L <= CAPB3li(3);
when CAPB3I1 =>
CAPB3o1l <= CAPB3LI(4);
when CAPB3ooL =>
CAPB3o1l <= CAPB3li(5);
when CAPB3lOL =>
CAPB3o1l <= CAPB3LI(6);
when CAPB3iol =>
CAPB3O1L <= CAPB3LI(7);
when CAPB3OLl =>
CAPB3o1l <= CAPB3LI(8);
when CAPB3LLL =>
CAPB3o1l <= CAPB3li(9);
when CAPB3ill =>
CAPB3O1L <= CAPB3li(10);
when CAPB3oil =>
CAPB3o1l <= CAPB3LI(11);
when CAPB3liL =>
CAPB3O1l <= CAPB3lI(12);
when CAPB3IIL =>
CAPB3o1l <= CAPB3LI(13);
when CAPB3o0l =>
CAPB3o1l <= CAPB3li(14);
when CAPB3L0L =>
CAPB3o1l <= CAPB3LI(15);
when CAPB3i0l =>
CAPB3o1l <= CAPB3Li(16);
when others =>
CAPB3o1l <= '1';
end case;
end process;
process (CAPB3ooi,CAPB3OI,CAPB3iI)
begin
case CAPB3OOI is
when CAPB3L0 =>
if ((CAPB3OI(0)) = '1') then
CAPB3l1L <= CAPB3II(0);
else
CAPB3L1l <= '0';
end if;
when CAPB3i0 =>
CAPB3L1l <= CAPB3II(1);
when CAPB3o1 =>
CAPB3L1L <= CAPB3ii(2);
when CAPB3l1 =>
CAPB3L1l <= CAPB3ii(3);
when CAPB3i1 =>
CAPB3L1l <= CAPB3ii(4);
when CAPB3ool =>
CAPB3L1l <= CAPB3ii(5);
when CAPB3LOl =>
CAPB3l1l <= CAPB3II(6);
when CAPB3iol =>
CAPB3l1l <= CAPB3ii(7);
when CAPB3oll =>
CAPB3L1L <= CAPB3iI(8);
when CAPB3lll =>
CAPB3l1l <= CAPB3ii(9);
when CAPB3ill =>
CAPB3l1l <= CAPB3II(10);
when CAPB3oil =>
CAPB3l1l <= CAPB3ii(11);
when CAPB3LIl =>
CAPB3l1l <= CAPB3ii(12);
when CAPB3IIL =>
CAPB3l1l <= CAPB3ii(13);
when CAPB3o0L =>
CAPB3l1L <= CAPB3II(14);
when CAPB3l0l =>
CAPB3l1l <= CAPB3ii(15);
when CAPB3i0l =>
CAPB3l1l <= CAPB3ii(16);
when others =>
CAPB3l1l <= '0';
end case;
end process;
PREady <= CAPB3o1l;
PSlverr <= CAPB3L1L;
PRDAta <= CAPB3i1L(31 downto 0);
end architecture CAPB3o0;
