----------------------------------------------------------------------
-- Created by SmartDesign Tue Nov 26 16:32:32 2013
-- Version: v11.1 11.1.0.14
----------------------------------------------------------------------

----------------------------------------------------------------------
-- Libraries
----------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

library SmartFusion2;
use SmartFusion2.all;
library COREAPB3_LIB;
use COREAPB3_LIB.all;
use COREAPB3_LIB.components.all;
----------------------------------------------------------------------
-- Trigger_receiver_v1_7 entity declaration
----------------------------------------------------------------------
entity Trigger_receiver_v1_7 is
    -- Port list
    port(
        -- Inputs
        DEVRST_N              : in    std_logic;
        GPIO_1_F2M            : in    std_logic;
        MAC_MII_COL           : in    std_logic;
        MAC_MII_CRS           : in    std_logic;
        MAC_MII_RXD           : in    std_logic_vector(3 downto 0);
        MAC_MII_RX_CLK        : in    std_logic;
        MAC_MII_RX_DV         : in    std_logic;
        MAC_MII_RX_ER         : in    std_logic;
        MAC_MII_TX_CLK        : in    std_logic;
        MDDR_DQS_TMATCH_0_IN  : in    std_logic;
        MMUART_0_RXD          : in    std_logic;
        PADN                  : in    std_logic;
        PADP                  : in    std_logic;
        SPI_0_DI              : in    std_logic;
        XTL                   : in    std_logic;
        -- Outputs
        GL2                   : out   std_logic;
        L0_trigger            : out   std_logic;
        L1a_trigger           : out   std_logic;
        L1r_trigger           : out   std_logic;
        L2a_trigger           : out   std_logic;
        L2r_trigger           : out   std_logic;
        MAC_MII_MDC           : out   std_logic;
        MAC_MII_TXD           : out   std_logic_vector(3 downto 0);
        MAC_MII_TX_EN         : out   std_logic;
        MAC_MII_TX_ER         : out   std_logic;
        MDDR_ADDR             : out   std_logic_vector(15 downto 0);
        MDDR_BA               : out   std_logic_vector(2 downto 0);
        MDDR_CAS_N            : out   std_logic;
        MDDR_CKE              : out   std_logic;
        MDDR_CLK              : out   std_logic;
        MDDR_CLK_N            : out   std_logic;
        MDDR_CS_N             : out   std_logic;
        MDDR_DQS_TMATCH_0_OUT : out   std_logic;
        MDDR_ODT              : out   std_logic;
        MDDR_RAS_N            : out   std_logic;
        MDDR_RESET_N          : out   std_logic;
        MDDR_WE_N             : out   std_logic;
        MMUART_0_TXD          : out   std_logic;
        SPI_0_DO              : out   std_logic;
        bunch_reset           : out   std_logic;
        clk_40                : out   std_logic;
        -- Inouts
        MAC_MII_MDIO          : inout std_logic;
        MDDR_DM_RDQS          : inout std_logic_vector(1 downto 0);
        MDDR_DQ               : inout std_logic_vector(15 downto 0);
        MDDR_DQS              : inout std_logic_vector(1 downto 0);
        SPI_0_CLK             : inout std_logic;
        SPI_0_SS0             : inout std_logic
        );
end Trigger_receiver_v1_7;
----------------------------------------------------------------------
-- Trigger_receiver_v1_7 architecture body
----------------------------------------------------------------------
architecture RTL of Trigger_receiver_v1_7 is
----------------------------------------------------------------------
-- Component declarations
----------------------------------------------------------------------
-- apb_to_dcs
-- using entity instantiation for component apb_to_dcs
-- BIBUF
component BIBUF
    generic( 
        IOSTD : string := "" 
        );
    -- Port list
    port(
        -- Inputs
        D   : in    std_logic;
        E   : in    std_logic;
        -- Outputs
        Y   : out   std_logic;
        -- Inouts
        PAD : inout std_logic
        );
end component;
-- CoreAPB3   -   Actel:DirectCore:CoreAPB3:4.0.100
-- using entity instantiation for component CoreAPB3
-- CoreSF2Config   -   Actel:DirectCore:CoreSF2Config:3.0.100
component CoreSF2Config
    -- Port list
    port(
        -- Inputs
        FDDR_PRDATA          : in  std_logic_vector(31 downto 0);
        FDDR_PREADY          : in  std_logic;
        FDDR_PSLVERR         : in  std_logic;
        FIC_2_APB_M_PADDR    : in  std_logic_vector(16 downto 2);
        FIC_2_APB_M_PCLK     : in  std_logic;
        FIC_2_APB_M_PENABLE  : in  std_logic;
        FIC_2_APB_M_PRESET_N : in  std_logic;
        FIC_2_APB_M_PSEL     : in  std_logic;
        FIC_2_APB_M_PWDATA   : in  std_logic_vector(31 downto 0);
        FIC_2_APB_M_PWRITE   : in  std_logic;
        INIT_DONE            : in  std_logic;
        MDDR_PRDATA          : in  std_logic_vector(31 downto 0);
        MDDR_PREADY          : in  std_logic;
        MDDR_PSLVERR         : in  std_logic;
        SDIF0_PRDATA         : in  std_logic_vector(31 downto 0);
        SDIF0_PREADY         : in  std_logic;
        SDIF0_PSLVERR        : in  std_logic;
        SDIF1_PRDATA         : in  std_logic_vector(31 downto 0);
        SDIF1_PREADY         : in  std_logic;
        SDIF1_PSLVERR        : in  std_logic;
        SDIF2_PRDATA         : in  std_logic_vector(31 downto 0);
        SDIF2_PREADY         : in  std_logic;
        SDIF2_PSLVERR        : in  std_logic;
        SDIF3_PRDATA         : in  std_logic_vector(31 downto 0);
        SDIF3_PREADY         : in  std_logic;
        SDIF3_PSLVERR        : in  std_logic;
        -- Outputs
        APB_S_PCLK           : out std_logic;
        APB_S_PRESET_N       : out std_logic;
        CLR_INIT_DONE        : out std_logic;
        CONFIG_DONE          : out std_logic;
        FDDR_PADDR           : out std_logic_vector(15 downto 2);
        FDDR_PENABLE         : out std_logic;
        FDDR_PSEL            : out std_logic;
        FDDR_PWDATA          : out std_logic_vector(31 downto 0);
        FDDR_PWRITE          : out std_logic;
        FIC_2_APB_M_PRDATA   : out std_logic_vector(31 downto 0);
        FIC_2_APB_M_PREADY   : out std_logic;
        FIC_2_APB_M_PSLVERR  : out std_logic;
        MDDR_PADDR           : out std_logic_vector(15 downto 2);
        MDDR_PENABLE         : out std_logic;
        MDDR_PSEL            : out std_logic;
        MDDR_PWDATA          : out std_logic_vector(31 downto 0);
        MDDR_PWRITE          : out std_logic;
        SDIF0_PADDR          : out std_logic_vector(15 downto 2);
        SDIF0_PENABLE        : out std_logic;
        SDIF0_PSEL           : out std_logic;
        SDIF0_PWDATA         : out std_logic_vector(31 downto 0);
        SDIF0_PWRITE         : out std_logic;
        SDIF1_PADDR          : out std_logic_vector(15 downto 2);
        SDIF1_PENABLE        : out std_logic;
        SDIF1_PSEL           : out std_logic;
        SDIF1_PWDATA         : out std_logic_vector(31 downto 0);
        SDIF1_PWRITE         : out std_logic;
        SDIF2_PADDR          : out std_logic_vector(15 downto 2);
        SDIF2_PENABLE        : out std_logic;
        SDIF2_PSEL           : out std_logic;
        SDIF2_PWDATA         : out std_logic_vector(31 downto 0);
        SDIF2_PWRITE         : out std_logic;
        SDIF3_PADDR          : out std_logic_vector(15 downto 2);
        SDIF3_PENABLE        : out std_logic;
        SDIF3_PSEL           : out std_logic;
        SDIF3_PWDATA         : out std_logic_vector(31 downto 0);
        SDIF3_PWRITE         : out std_logic
        );
end component;
-- CoreSF2Reset   -   Actel:DirectCore:CoreSF2Reset:3.0.100
component CoreSF2Reset
    generic( 
        DDR_WAIT       : integer := 200 ;
        DEVICE_VOLTAGE : integer := 2 ;
        EXT_RESET_CFG  : integer := 3 ;
        FDDR_IN_USE    : integer := 0 ;
        MDDR_IN_USE    : integer := 1 ;
        SDIF0_IN_USE   : integer := 0 ;
        SDIF1_IN_USE   : integer := 0 ;
        SDIF2_IN_USE   : integer := 0 ;
        SDIF3_IN_USE   : integer := 0 
        );
    -- Port list
    port(
        -- Inputs
        CLR_INIT_DONE               : in  std_logic;
        CONFIG_DONE                 : in  std_logic;
        EXT_RESET_IN_N              : in  std_logic;
        FPLL_LOCK                   : in  std_logic;
        MSS_RESET_N_M2F             : in  std_logic;
        POWER_ON_RESET_N            : in  std_logic;
        RCOSC_25_50MHZ              : in  std_logic;
        SDIF0_SPLL_LOCK             : in  std_logic;
        SDIF1_SPLL_LOCK             : in  std_logic;
        SDIF2_SPLL_LOCK             : in  std_logic;
        SDIF3_SPLL_LOCK             : in  std_logic;
        USER_FAB_RESET_IN_N         : in  std_logic;
        -- Outputs
        EXT_RESET_OUT               : out std_logic;
        FDDR_CORE_RESET_N           : out std_logic;
        INIT_DONE                   : out std_logic;
        M3_RESET_N                  : out std_logic;
        MDDR_DDR_AXI_S_CORE_RESET_N : out std_logic;
        MSS_RESET_N_F2M             : out std_logic;
        SDIF0_CORE_RESET_N          : out std_logic;
        SDIF0_PHY_RESET_N           : out std_logic;
        SDIF1_CORE_RESET_N          : out std_logic;
        SDIF1_PHY_RESET_N           : out std_logic;
        SDIF2_CORE_RESET_N          : out std_logic;
        SDIF2_PHY_RESET_N           : out std_logic;
        SDIF3_CORE_RESET_N          : out std_logic;
        SDIF3_PHY_RESET_N           : out std_logic;
        USER_FAB_RESET_N            : out std_logic
        );
end component;
-- Trigger_receiver_v1_7_FCCC_0_FCCC   -   Actel:SgCore:FCCC:2.0.100
component Trigger_receiver_v1_7_FCCC_0_FCCC
    -- Port list
    port(
        -- Inputs
        CLK0          : in  std_logic;
        CLK1          : in  std_logic;
        NGMUX2_ARST_N : in  std_logic;
        NGMUX2_HOLD_N : in  std_logic;
        NGMUX2_SEL    : in  std_logic;
        -- Outputs
        GL2           : out std_logic;
        LOCK          : out std_logic
        );
end component;
-- Trigger_receiver_v1_7_FCCC_1_FCCC   -   Actel:SgCore:FCCC:2.0.100
component Trigger_receiver_v1_7_FCCC_1_FCCC
    -- Port list
    port(
        -- Inputs
        XTLOSC : in  std_logic;
        -- Outputs
        GL0    : out std_logic;
        LOCK   : out std_logic
        );
end component;
-- Trigger_receiver_v1_7_FCCC_2_FCCC   -   Actel:SgCore:FCCC:2.0.100
component Trigger_receiver_v1_7_FCCC_2_FCCC
    -- Port list
    port(
        -- Inputs
        CLK0 : in  std_logic;
        -- Outputs
        GL0  : out std_logic;
        LOCK : out std_logic
        );
end component;
-- INBUF_DIFF
component INBUF_DIFF
    generic( 
        IOSTD : string := "" 
        );
    -- Port list
    port(
        -- Inputs
        PADN : in  std_logic;
        PADP : in  std_logic;
        -- Outputs
        Y    : out std_logic
        );
end component;
-- OR2
component OR2
    -- Port list
    port(
        -- Inputs
        A : in  std_logic;
        B : in  std_logic;
        -- Outputs
        Y : out std_logic
        );
end component;
-- Trigger_receiver_v1_7_OSC_0_OSC   -   Actel:SgCore:OSC:1.0.100
component Trigger_receiver_v1_7_OSC_0_OSC
    -- Port list
    port(
        -- Inputs
        XTL                : in  std_logic;
        -- Outputs
        RCOSC_1MHZ_CCC     : out std_logic;
        RCOSC_1MHZ_O2F     : out std_logic;
        RCOSC_25_50MHZ_CCC : out std_logic;
        RCOSC_25_50MHZ_O2F : out std_logic;
        XTLOSC_CCC         : out std_logic;
        XTLOSC_O2F         : out std_logic
        );
end component;
-- RCU_DEC
-- using entity instantiation for component RCU_DEC
-- SYSRESET
component SYSRESET
    -- Port list
    port(
        -- Inputs
        DEVRST_N         : in  std_logic;
        -- Outputs
        POWER_ON_RESET_N : out std_logic
        );
end component;
-- trigger_receiver
-- using entity instantiation for component trigger_receiver
-- Trigger_receiver_v1_7_MSS
component Trigger_receiver_v1_7_MSS
    -- Port list
    port(
        -- Inputs
        FIC_0_APB_M_PRDATA     : in    std_logic_vector(31 downto 0);
        FIC_0_APB_M_PREADY     : in    std_logic;
        FIC_0_APB_M_PSLVERR    : in    std_logic;
        FIC_2_APB_M_PRDATA     : in    std_logic_vector(31 downto 0);
        FIC_2_APB_M_PREADY     : in    std_logic;
        FIC_2_APB_M_PSLVERR    : in    std_logic;
        GPIO_1_F2M             : in    std_logic;
        MAC_MII_COL            : in    std_logic;
        MAC_MII_CRS            : in    std_logic;
        MAC_MII_MDI            : in    std_logic;
        MAC_MII_RXD            : in    std_logic_vector(3 downto 0);
        MAC_MII_RX_CLK         : in    std_logic;
        MAC_MII_RX_DV          : in    std_logic;
        MAC_MII_RX_ER          : in    std_logic;
        MAC_MII_TX_CLK         : in    std_logic;
        MCCC_CLK_BASE          : in    std_logic;
        MCCC_CLK_BASE_PLL_LOCK : in    std_logic;
        MDDR_APB_S_PADDR       : in    std_logic_vector(10 downto 2);
        MDDR_APB_S_PCLK        : in    std_logic;
        MDDR_APB_S_PENABLE     : in    std_logic;
        MDDR_APB_S_PRESET_N    : in    std_logic;
        MDDR_APB_S_PSEL        : in    std_logic;
        MDDR_APB_S_PWDATA      : in    std_logic_vector(15 downto 0);
        MDDR_APB_S_PWRITE      : in    std_logic;
        MDDR_DQS_TMATCH_0_IN   : in    std_logic;
        MMUART_0_RXD           : in    std_logic;
        SPI_0_DI               : in    std_logic;
        -- Outputs
        FIC_0_APB_M_PADDR      : out   std_logic_vector(31 downto 0);
        FIC_0_APB_M_PENABLE    : out   std_logic;
        FIC_0_APB_M_PSEL       : out   std_logic;
        FIC_0_APB_M_PWDATA     : out   std_logic_vector(31 downto 0);
        FIC_0_APB_M_PWRITE     : out   std_logic;
        FIC_2_APB_M_PADDR      : out   std_logic_vector(15 downto 2);
        FIC_2_APB_M_PCLK       : out   std_logic;
        FIC_2_APB_M_PENABLE    : out   std_logic;
        FIC_2_APB_M_PRESET_N   : out   std_logic;
        FIC_2_APB_M_PSEL       : out   std_logic;
        FIC_2_APB_M_PWDATA     : out   std_logic_vector(31 downto 0);
        FIC_2_APB_M_PWRITE     : out   std_logic;
        MAC_MII_MDC            : out   std_logic;
        MAC_MII_MDO            : out   std_logic;
        MAC_MII_MDO_EN         : out   std_logic;
        MAC_MII_TXD            : out   std_logic_vector(3 downto 0);
        MAC_MII_TX_EN          : out   std_logic;
        MAC_MII_TX_ER          : out   std_logic;
        MDDR_ADDR              : out   std_logic_vector(15 downto 0);
        MDDR_APB_S_PRDATA      : out   std_logic_vector(15 downto 0);
        MDDR_APB_S_PREADY      : out   std_logic;
        MDDR_APB_S_PSLVERR     : out   std_logic;
        MDDR_BA                : out   std_logic_vector(2 downto 0);
        MDDR_CAS_N             : out   std_logic;
        MDDR_CKE               : out   std_logic;
        MDDR_CLK               : out   std_logic;
        MDDR_CLK_N             : out   std_logic;
        MDDR_CS_N              : out   std_logic;
        MDDR_DQS_TMATCH_0_OUT  : out   std_logic;
        MDDR_ODT               : out   std_logic;
        MDDR_RAS_N             : out   std_logic;
        MDDR_RESET_N           : out   std_logic;
        MDDR_WE_N              : out   std_logic;
        MMUART_0_TXD           : out   std_logic;
        MSS_RESET_N_M2F        : out   std_logic;
        SPI_0_DO               : out   std_logic;
        -- Inouts
        MDDR_DM_RDQS           : inout std_logic_vector(1 downto 0);
        MDDR_DQ                : inout std_logic_vector(15 downto 0);
        MDDR_DQS               : inout std_logic_vector(1 downto 0);
        SPI_0_CLK              : inout std_logic;
        SPI_0_SS0              : inout std_logic
        );
end component;
-- ttc
component ttc
    -- Port list
    port(
        -- Inputs
        rst_n      : in  std_logic;
        tx_data_in : in  std_logic;
        -- Outputs
        ch_a       : out std_logic;
        ch_b       : out std_logic;
        clk_40     : out std_logic
        );
end component;
----------------------------------------------------------------------
-- Signal declarations
----------------------------------------------------------------------
signal apb_to_dcs_0_dcs_bi                                  : std_logic;
signal apb_to_dcs_0_dcs_br                                  : std_logic;
signal apb_to_dcs_0_dcs_busBadd                             : std_logic_vector(15 downto 0);
signal apb_to_dcs_0_dcs_busBdata_out                        : std_logic_vector(31 downto 0);
signal apb_to_dcs_0_we_dcs                                  : std_logic;
signal BIBUF_0_Y                                            : std_logic;
signal bunch_reset_net_0                                    : std_logic;
signal clk_40_net_0                                         : std_logic;
signal CoreAPB3_0_APBmslave5_PADDR                          : std_logic_vector(31 downto 0);
signal CoreAPB3_0_APBmslave5_PENABLE                        : std_logic;
signal CoreAPB3_0_APBmslave5_PRDATA                         : std_logic_vector(31 downto 0);
signal CoreAPB3_0_APBmslave5_PREADY                         : std_logic;
signal CoreAPB3_0_APBmslave5_PSELx                          : std_logic;
signal CoreAPB3_0_APBmslave5_PSLVERR                        : std_logic;
signal CoreAPB3_0_APBmslave5_PWDATA                         : std_logic_vector(31 downto 0);
signal CoreAPB3_0_APBmslave5_PWRITE                         : std_logic;
signal CoreSF2Config_0_APB_S_PCLK                           : std_logic;
signal CoreSF2Config_0_APB_S_PRESET_N                       : std_logic;
signal CoreSF2Config_0_CLR_INIT_DONE                        : std_logic;
signal CoreSF2Config_0_CONFIG_DONE                          : std_logic;
signal CoreSF2Config_0_MDDR_APBmslave_PENABLE               : std_logic;
signal CoreSF2Config_0_MDDR_APBmslave_PREADY                : std_logic;
signal CoreSF2Config_0_MDDR_APBmslave_PSELx                 : std_logic;
signal CoreSF2Config_0_MDDR_APBmslave_PSLVERR               : std_logic;
signal CoreSF2Config_0_MDDR_APBmslave_PWRITE                : std_logic;
signal CoreSF2Reset_0_INIT_DONE                             : std_logic;
signal FCCC_0_LOCK                                          : std_logic;
signal FCCC_1_GL0                                           : std_logic;
signal FCCC_1_LOCK                                          : std_logic;
signal FCCC_2_GL0                                           : std_logic;
signal GL2_net_0                                            : std_logic;
signal INBUF_DIFF_0_Y                                       : std_logic;
signal L0_trigger_net_0                                     : std_logic;
signal L1a_trigger_net_0                                    : std_logic;
signal L1r_trigger_net_0                                    : std_logic;
signal L2a_trigger_net_0                                    : std_logic;
signal L2r_trigger_net_0                                    : std_logic;
signal MAC_MII_MDC_net_0                                    : std_logic;
signal MAC_MII_TX_EN_net_0                                  : std_logic;
signal MAC_MII_TX_ER_net_0                                  : std_logic;
signal MAC_MII_TXD_net_0                                    : std_logic_vector(3 downto 0);
signal MDDR_ADDR_1                                          : std_logic_vector(15 downto 0);
signal MDDR_BA_1                                            : std_logic_vector(2 downto 0);
signal MDDR_CAS_N_1                                         : std_logic;
signal MDDR_CKE_1                                           : std_logic;
signal MDDR_CLK_1                                           : std_logic;
signal MDDR_CLK_N_1                                         : std_logic;
signal MDDR_CS_N_1                                          : std_logic;
signal MDDR_DQS_TMATCH_0_OUT_1                              : std_logic;
signal MDDR_ODT_1                                           : std_logic;
signal MDDR_RAS_N_1                                         : std_logic;
signal MDDR_RESET_N_1                                       : std_logic;
signal MDDR_WE_N_1                                          : std_logic;
signal MMUART_0_TXD_1                                       : std_logic;
signal OR2_0_Y                                              : std_logic;
signal OSC_0_XTLOSC_CCC_OUT_XTLOSC_CCC                      : std_logic;
signal RCU_DEC_0_bp_version                                 : std_logic;
signal RCU_DEC_0_dcs_bg                                     : std_logic;
signal RCU_DEC_0_dcs_busBdata_in                            : std_logic_vector(31 downto 0);
signal RCU_DEC_0_rcu_add                                    : std_logic_vector(15 downto 0);
signal RCU_DEC_0_rcu_data_out                               : std_logic_vector(31 downto 0);
signal RCU_DEC_0_rcu_wen                                    : std_logic;
signal RCU_DEC_0_siu_bg                                     : std_logic;
signal SPI_0_DO_1                                           : std_logic;
signal SYSRESET_0_POWER_ON_RESET_N                          : std_logic;
signal trigger_receiver_0_data_out                          : std_logic_vector(31 downto 0);
signal Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PADDR   : std_logic_vector(31 downto 0);
signal Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PENABLE : std_logic;
signal Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PRDATA  : std_logic_vector(31 downto 0);
signal Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PREADY  : std_logic;
signal Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PSELx   : std_logic;
signal Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PSLVERR : std_logic;
signal Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PWDATA  : std_logic_vector(31 downto 0);
signal Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PWRITE  : std_logic;
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_M_PCLK         : std_logic;
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_M_PRESET_N     : std_logic;
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PENABLE : std_logic;
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PRDATA  : std_logic_vector(31 downto 0);
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PREADY  : std_logic;
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PSELx   : std_logic;
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PSLVERR : std_logic;
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PWDATA  : std_logic_vector(31 downto 0);
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PWRITE  : std_logic;
signal Trigger_receiver_v1_7_MSS_0_MAC_MII_MDO              : std_logic;
signal Trigger_receiver_v1_7_MSS_0_MAC_MII_MDO_EN           : std_logic;
signal Trigger_receiver_v1_7_MSS_0_MSS_RESET_N_M2F          : std_logic;
signal ttc_0_ch_a                                           : std_logic;
signal ttc_0_ch_b                                           : std_logic;
signal MMUART_0_TXD_1_net_0                                 : std_logic;
signal L2a_trigger_net_1                                    : std_logic;
signal L2r_trigger_net_1                                    : std_logic;
signal L1a_trigger_net_1                                    : std_logic;
signal L0_trigger_net_1                                     : std_logic;
signal L1r_trigger_net_1                                    : std_logic;
signal bunch_reset_net_1                                    : std_logic;
signal MAC_MII_TX_EN_net_1                                  : std_logic;
signal MAC_MII_TX_ER_net_1                                  : std_logic;
signal MDDR_DQS_TMATCH_0_OUT_1_net_0                        : std_logic;
signal MDDR_CAS_N_1_net_0                                   : std_logic;
signal MDDR_CLK_1_net_0                                     : std_logic;
signal MDDR_CLK_N_1_net_0                                   : std_logic;
signal MDDR_CKE_1_net_0                                     : std_logic;
signal MDDR_CS_N_1_net_0                                    : std_logic;
signal MDDR_ODT_1_net_0                                     : std_logic;
signal MDDR_RAS_N_1_net_0                                   : std_logic;
signal MDDR_RESET_N_1_net_0                                 : std_logic;
signal MDDR_WE_N_1_net_0                                    : std_logic;
signal SPI_0_DO_1_net_0                                     : std_logic;
signal MAC_MII_MDC_net_1                                    : std_logic;
signal GL2_net_1                                            : std_logic;
signal clk_40_net_1                                         : std_logic;
signal MAC_MII_TXD_net_1                                    : std_logic_vector(3 downto 0);
signal MDDR_ADDR_1_net_0                                    : std_logic_vector(15 downto 0);
signal MDDR_BA_1_net_0                                      : std_logic_vector(2 downto 0);
----------------------------------------------------------------------
-- TiedOff Signals
----------------------------------------------------------------------
signal GND_net                                              : std_logic;
signal VCC_net                                              : std_logic;
signal siu_data_out_const_net_0                             : std_logic_vector(31 downto 0);
signal siu_add_const_net_0                                  : std_logic_vector(15 downto 0);
signal im_dout_const_net_0                                  : std_logic_vector(21 downto 0);
signal rcu_rolm_out_const_net_0                             : std_logic_vector(11 downto 0);
signal rm_dout_const_net_0                                  : std_logic_vector(24 downto 0);
signal rcu_hlm_out_const_net_0                              : std_logic_vector(31 downto 0);
signal rcu_dm_out_const_net_0                               : std_logic_vector(27 downto 0);
signal fecerr_a_const_net_0                                 : std_logic_vector(31 downto 0);
signal fecerr_b_const_net_0                                 : std_logic_vector(31 downto 0);
signal meb_st_cnt_const_net_0                               : std_logic_vector(3 downto 0);
signal swt_trg_cnt_const_net_0                              : std_logic_vector(19 downto 0);
signal aux_trg_cnt_const_net_0                              : std_logic_vector(19 downto 0);
signal ttc_L2a_cnt_const_net_0                              : std_logic_vector(19 downto 0);
signal ttc_L2r_cnt_const_net_0                              : std_logic_vector(19 downto 0);
signal ttc_L1r_cnt_const_net_0                              : std_logic_vector(19 downto 0);
signal err_code_const_net_0                                 : std_logic_vector(2 downto 0);
signal data_ready_const_net_0                               : std_logic_vector(3 downto 0);
signal dm_sel_const_net_0                                   : std_logic_vector(1 downto 0);
signal FEC_AL_fsc_const_net_0                               : std_logic_vector(31 downto 0);
signal dstb_numA_const_net_0                                : std_logic_vector(8 downto 0);
signal dstb_numB_const_net_0                                : std_logic_vector(8 downto 0);
signal fsmwr_st_a_const_net_0                               : std_logic_vector(3 downto 0);
signal fsmrd_st_a_const_net_0                               : std_logic_vector(3 downto 0);
signal fsmwr_st_b_const_net_0                               : std_logic_vector(3 downto 0);
signal fsmrd_st_b_const_net_0                               : std_logic_vector(3 downto 0);
signal fsmevrdoctrl_st_const_net_0                          : std_logic_vector(3 downto 0);
signal fsmselbr_st_a_const_net_0                            : std_logic_vector(1 downto 0);
signal fsmselbr_st_b_const_net_0                            : std_logic_vector(1 downto 0);
signal fsmevlen_st_const_net_0                              : std_logic_vector(3 downto 0);
signal fsmscevlen_st_const_net_0                            : std_logic_vector(2 downto 0);
signal fsmrdo_st_a_const_net_0                              : std_logic_vector(2 downto 0);
signal fsmrdo_st_b_const_net_0                              : std_logic_vector(2 downto 0);
signal fsminstseq_st_const_net_0                            : std_logic_vector(4 downto 0);
signal fsminstloop_st_const_net_0                           : std_logic_vector(4 downto 0);
signal fsmtsttrg_st_const_net_0                             : std_logic_vector(1 downto 0);
signal fsmttctrg_st_const_net_0                             : std_logic_vector(3 downto 0);
signal fsmev_st_const_net_0                                 : std_logic_vector(2 downto 0);
signal fsminsseq_st_const_net_0                             : std_logic_vector(2 downto 0);
signal fsmru_st_const_net_0                                 : std_logic_vector(4 downto 0);
signal fsmdamain_st_const_net_0                             : std_logic_vector(4 downto 0);
signal fsmrdcdh_st_const_net_0                              : std_logic_vector(4 downto 0);
signal fsmrdcdhsoft_st_const_net_0                          : std_logic_vector(4 downto 0);
signal fsmrddm_st_const_net_0                               : std_logic_vector(4 downto 0);
signal fsmrdpar_st_const_net_0                              : std_logic_vector(4 downto 0);
signal fsmrdrm_st_const_net_0                               : std_logic_vector(3 downto 0);
signal IADDR_const_net_0                                    : std_logic_vector(31 downto 0);
signal FDDR_PRDATA_const_net_0                              : std_logic_vector(31 downto 0);
signal SDIF0_PRDATA_const_net_0                             : std_logic_vector(31 downto 0);
signal SDIF1_PRDATA_const_net_0                             : std_logic_vector(31 downto 0);
signal SDIF2_PRDATA_const_net_0                             : std_logic_vector(31 downto 0);
signal SDIF3_PRDATA_const_net_0                             : std_logic_vector(31 downto 0);
signal PADDR_const_net_0                                    : std_logic_vector(7 downto 2);
signal PWDATA_const_net_0                                   : std_logic_vector(7 downto 0);
signal PADDR_const_net_1                                    : std_logic_vector(7 downto 2);
signal PWDATA_const_net_1                                   : std_logic_vector(7 downto 0);
signal PADDR_const_net_2                                    : std_logic_vector(7 downto 2);
signal PWDATA_const_net_2                                   : std_logic_vector(7 downto 0);
signal PRDATAS0_const_net_0                                 : std_logic_vector(31 downto 0);
signal PRDATAS1_const_net_0                                 : std_logic_vector(31 downto 0);
signal PRDATAS2_const_net_0                                 : std_logic_vector(31 downto 0);
signal PRDATAS3_const_net_0                                 : std_logic_vector(31 downto 0);
signal PRDATAS4_const_net_0                                 : std_logic_vector(31 downto 0);
signal PRDATAS6_const_net_0                                 : std_logic_vector(31 downto 0);
signal PRDATAS7_const_net_0                                 : std_logic_vector(31 downto 0);
signal PRDATAS8_const_net_0                                 : std_logic_vector(31 downto 0);
signal PRDATAS9_const_net_0                                 : std_logic_vector(31 downto 0);
signal PRDATAS10_const_net_0                                : std_logic_vector(31 downto 0);
signal PRDATAS11_const_net_0                                : std_logic_vector(31 downto 0);
signal PRDATAS12_const_net_0                                : std_logic_vector(31 downto 0);
signal PRDATAS13_const_net_0                                : std_logic_vector(31 downto 0);
signal PRDATAS14_const_net_0                                : std_logic_vector(31 downto 0);
signal PRDATAS15_const_net_0                                : std_logic_vector(31 downto 0);
signal PRDATAS16_const_net_0                                : std_logic_vector(31 downto 0);
----------------------------------------------------------------------
-- Bus Interface Nets Declarations - Unequal Pin Widths
----------------------------------------------------------------------
signal CoreSF2Config_0_MDDR_APBmslave_PADDR                 : std_logic_vector(15 downto 2);
signal CoreSF2Config_0_MDDR_APBmslave_PADDR_0_10to2         : std_logic_vector(10 downto 2);
signal CoreSF2Config_0_MDDR_APBmslave_PADDR_0               : std_logic_vector(10 downto 2);

signal CoreSF2Config_0_MDDR_APBmslave_PRDATA_0_31to16       : std_logic_vector(31 downto 16);
signal CoreSF2Config_0_MDDR_APBmslave_PRDATA_0_15to0        : std_logic_vector(15 downto 0);
signal CoreSF2Config_0_MDDR_APBmslave_PRDATA_0              : std_logic_vector(31 downto 0);
signal CoreSF2Config_0_MDDR_APBmslave_PRDATA                : std_logic_vector(15 downto 0);

signal CoreSF2Config_0_MDDR_APBmslave_PWDATA                : std_logic_vector(31 downto 0);
signal CoreSF2Config_0_MDDR_APBmslave_PWDATA_0_15to0        : std_logic_vector(15 downto 0);
signal CoreSF2Config_0_MDDR_APBmslave_PWDATA_0              : std_logic_vector(15 downto 0);

signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR_0_16to16: std_logic_vector(16 to 16);
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR_0_15to2: std_logic_vector(15 downto 2);
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR_0 : std_logic_vector(16 downto 2);
signal Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR   : std_logic_vector(15 downto 2);


begin
----------------------------------------------------------------------
-- Constant assignments
----------------------------------------------------------------------
 GND_net                     <= '0';
 VCC_net                     <= '1';
 siu_data_out_const_net_0    <= B"00000000000000000000000000000000";
 siu_add_const_net_0         <= B"0000000000000000";
 im_dout_const_net_0         <= B"0000000000000000000000";
 rcu_rolm_out_const_net_0    <= B"000000000000";
 rm_dout_const_net_0         <= B"0000000000000000000000000";
 rcu_hlm_out_const_net_0     <= B"00000000000000000000000000000000";
 rcu_dm_out_const_net_0      <= B"0000000000000000000000000000";
 fecerr_a_const_net_0        <= B"00000000000000000000000000000000";
 fecerr_b_const_net_0        <= B"00000000000000000000000000000000";
 meb_st_cnt_const_net_0      <= B"0000";
 swt_trg_cnt_const_net_0     <= B"00000000000000000000";
 aux_trg_cnt_const_net_0     <= B"00000000000000000000";
 ttc_L2a_cnt_const_net_0     <= B"00000000000000000000";
 ttc_L2r_cnt_const_net_0     <= B"00000000000000000000";
 ttc_L1r_cnt_const_net_0     <= B"00000000000000000000";
 err_code_const_net_0        <= B"000";
 data_ready_const_net_0      <= B"0000";
 dm_sel_const_net_0          <= B"00";
 FEC_AL_fsc_const_net_0      <= B"00000000000000000000000000000000";
 dstb_numA_const_net_0       <= B"000000000";
 dstb_numB_const_net_0       <= B"000000000";
 fsmwr_st_a_const_net_0      <= B"0000";
 fsmrd_st_a_const_net_0      <= B"0000";
 fsmwr_st_b_const_net_0      <= B"0000";
 fsmrd_st_b_const_net_0      <= B"0000";
 fsmevrdoctrl_st_const_net_0 <= B"0000";
 fsmselbr_st_a_const_net_0   <= B"00";
 fsmselbr_st_b_const_net_0   <= B"00";
 fsmevlen_st_const_net_0     <= B"0000";
 fsmscevlen_st_const_net_0   <= B"000";
 fsmrdo_st_a_const_net_0     <= B"000";
 fsmrdo_st_b_const_net_0     <= B"000";
 fsminstseq_st_const_net_0   <= B"00000";
 fsminstloop_st_const_net_0  <= B"00000";
 fsmtsttrg_st_const_net_0    <= B"00";
 fsmttctrg_st_const_net_0    <= B"0000";
 fsmev_st_const_net_0        <= B"000";
 fsminsseq_st_const_net_0    <= B"000";
 fsmru_st_const_net_0        <= B"00000";
 fsmdamain_st_const_net_0    <= B"00000";
 fsmrdcdh_st_const_net_0     <= B"00000";
 fsmrdcdhsoft_st_const_net_0 <= B"00000";
 fsmrddm_st_const_net_0      <= B"00000";
 fsmrdpar_st_const_net_0     <= B"00000";
 fsmrdrm_st_const_net_0      <= B"0000";
 IADDR_const_net_0           <= B"00000000000000000000000000000000";
 FDDR_PRDATA_const_net_0     <= B"00000000000000000000000000000000";
 SDIF0_PRDATA_const_net_0    <= B"00000000000000000000000000000000";
 SDIF1_PRDATA_const_net_0    <= B"00000000000000000000000000000000";
 SDIF2_PRDATA_const_net_0    <= B"00000000000000000000000000000000";
 SDIF3_PRDATA_const_net_0    <= B"00000000000000000000000000000000";
 PADDR_const_net_0           <= B"000000";
 PWDATA_const_net_0          <= B"00000000";
 PADDR_const_net_1           <= B"000000";
 PWDATA_const_net_1          <= B"00000000";
 PADDR_const_net_2           <= B"000000";
 PWDATA_const_net_2          <= B"00000000";
 PRDATAS0_const_net_0        <= B"00000000000000000000000000000000";
 PRDATAS1_const_net_0        <= B"00000000000000000000000000000000";
 PRDATAS2_const_net_0        <= B"00000000000000000000000000000000";
 PRDATAS3_const_net_0        <= B"00000000000000000000000000000000";
 PRDATAS4_const_net_0        <= B"00000000000000000000000000000000";
 PRDATAS6_const_net_0        <= B"00000000000000000000000000000000";
 PRDATAS7_const_net_0        <= B"00000000000000000000000000000000";
 PRDATAS8_const_net_0        <= B"00000000000000000000000000000000";
 PRDATAS9_const_net_0        <= B"00000000000000000000000000000000";
 PRDATAS10_const_net_0       <= B"00000000000000000000000000000000";
 PRDATAS11_const_net_0       <= B"00000000000000000000000000000000";
 PRDATAS12_const_net_0       <= B"00000000000000000000000000000000";
 PRDATAS13_const_net_0       <= B"00000000000000000000000000000000";
 PRDATAS14_const_net_0       <= B"00000000000000000000000000000000";
 PRDATAS15_const_net_0       <= B"00000000000000000000000000000000";
 PRDATAS16_const_net_0       <= B"00000000000000000000000000000000";
----------------------------------------------------------------------
-- Top level output port assignments
----------------------------------------------------------------------
 MMUART_0_TXD_1_net_0          <= MMUART_0_TXD_1;
 MMUART_0_TXD                  <= MMUART_0_TXD_1_net_0;
 L2a_trigger_net_1             <= L2a_trigger_net_0;
 L2a_trigger                   <= L2a_trigger_net_1;
 L2r_trigger_net_1             <= L2r_trigger_net_0;
 L2r_trigger                   <= L2r_trigger_net_1;
 L1a_trigger_net_1             <= L1a_trigger_net_0;
 L1a_trigger                   <= L1a_trigger_net_1;
 L0_trigger_net_1              <= L0_trigger_net_0;
 L0_trigger                    <= L0_trigger_net_1;
 L1r_trigger_net_1             <= L1r_trigger_net_0;
 L1r_trigger                   <= L1r_trigger_net_1;
 bunch_reset_net_1             <= bunch_reset_net_0;
 bunch_reset                   <= bunch_reset_net_1;
 MAC_MII_TX_EN_net_1           <= MAC_MII_TX_EN_net_0;
 MAC_MII_TX_EN                 <= MAC_MII_TX_EN_net_1;
 MAC_MII_TX_ER_net_1           <= MAC_MII_TX_ER_net_0;
 MAC_MII_TX_ER                 <= MAC_MII_TX_ER_net_1;
 MDDR_DQS_TMATCH_0_OUT_1_net_0 <= MDDR_DQS_TMATCH_0_OUT_1;
 MDDR_DQS_TMATCH_0_OUT         <= MDDR_DQS_TMATCH_0_OUT_1_net_0;
 MDDR_CAS_N_1_net_0            <= MDDR_CAS_N_1;
 MDDR_CAS_N                    <= MDDR_CAS_N_1_net_0;
 MDDR_CLK_1_net_0              <= MDDR_CLK_1;
 MDDR_CLK                      <= MDDR_CLK_1_net_0;
 MDDR_CLK_N_1_net_0            <= MDDR_CLK_N_1;
 MDDR_CLK_N                    <= MDDR_CLK_N_1_net_0;
 MDDR_CKE_1_net_0              <= MDDR_CKE_1;
 MDDR_CKE                      <= MDDR_CKE_1_net_0;
 MDDR_CS_N_1_net_0             <= MDDR_CS_N_1;
 MDDR_CS_N                     <= MDDR_CS_N_1_net_0;
 MDDR_ODT_1_net_0              <= MDDR_ODT_1;
 MDDR_ODT                      <= MDDR_ODT_1_net_0;
 MDDR_RAS_N_1_net_0            <= MDDR_RAS_N_1;
 MDDR_RAS_N                    <= MDDR_RAS_N_1_net_0;
 MDDR_RESET_N_1_net_0          <= MDDR_RESET_N_1;
 MDDR_RESET_N                  <= MDDR_RESET_N_1_net_0;
 MDDR_WE_N_1_net_0             <= MDDR_WE_N_1;
 MDDR_WE_N                     <= MDDR_WE_N_1_net_0;
 SPI_0_DO_1_net_0              <= SPI_0_DO_1;
 SPI_0_DO                      <= SPI_0_DO_1_net_0;
 MAC_MII_MDC_net_1             <= MAC_MII_MDC_net_0;
 MAC_MII_MDC                   <= MAC_MII_MDC_net_1;
 GL2_net_1                     <= GL2_net_0;
 GL2                           <= GL2_net_1;
 clk_40_net_1                  <= clk_40_net_0;
 clk_40                        <= clk_40_net_1;
 MAC_MII_TXD_net_1             <= MAC_MII_TXD_net_0;
 MAC_MII_TXD(3 downto 0)       <= MAC_MII_TXD_net_1;
 MDDR_ADDR_1_net_0             <= MDDR_ADDR_1;
 MDDR_ADDR(15 downto 0)        <= MDDR_ADDR_1_net_0;
 MDDR_BA_1_net_0               <= MDDR_BA_1;
 MDDR_BA(2 downto 0)           <= MDDR_BA_1_net_0;
----------------------------------------------------------------------
-- Bus Interface Nets Assignments - Unequal Pin Widths
----------------------------------------------------------------------
 CoreSF2Config_0_MDDR_APBmslave_PADDR_0_10to2(10 downto 2) <= CoreSF2Config_0_MDDR_APBmslave_PADDR(10 downto 2);
 CoreSF2Config_0_MDDR_APBmslave_PADDR_0 <= ( CoreSF2Config_0_MDDR_APBmslave_PADDR_0_10to2(10 downto 2) );

 CoreSF2Config_0_MDDR_APBmslave_PRDATA_0_31to16(31 downto 16) <= B"0000000000000000";
 CoreSF2Config_0_MDDR_APBmslave_PRDATA_0_15to0(15 downto 0) <= CoreSF2Config_0_MDDR_APBmslave_PRDATA(15 downto 0);
 CoreSF2Config_0_MDDR_APBmslave_PRDATA_0 <= ( CoreSF2Config_0_MDDR_APBmslave_PRDATA_0_31to16(31 downto 16) & CoreSF2Config_0_MDDR_APBmslave_PRDATA_0_15to0(15 downto 0) );

 CoreSF2Config_0_MDDR_APBmslave_PWDATA_0_15to0(15 downto 0) <= CoreSF2Config_0_MDDR_APBmslave_PWDATA(15 downto 0);
 CoreSF2Config_0_MDDR_APBmslave_PWDATA_0 <= ( CoreSF2Config_0_MDDR_APBmslave_PWDATA_0_15to0(15 downto 0) );

 Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR_0_16to16(16) <= '0';
 Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR_0_15to2(15 downto 2) <= Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR(15 downto 2);
 Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR_0 <= ( Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR_0_16to16(16) & Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR_0_15to2(15 downto 2) );

----------------------------------------------------------------------
-- Component instances
----------------------------------------------------------------------
-- apb_to_dcs_0
apb_to_dcs_0 : entity work.apb_to_dcs
    generic map( 
        arm_addr_space => ( 1 )
        )
    port map( 
        -- Inputs
        penable          => CoreAPB3_0_APBmslave5_PENABLE,
        psel             => CoreAPB3_0_APBmslave5_PSELx,
        pwrite           => CoreAPB3_0_APBmslave5_PWRITE,
        clk              => GL2_net_0,
        reset_n          => Trigger_receiver_v1_7_MSS_0_MSS_RESET_N_M2F,
        reset_from_siu   => GND_net,
        dcs_bg           => RCU_DEC_0_dcs_bg,
        siu_bg           => RCU_DEC_0_siu_bg,
        paddr            => CoreAPB3_0_APBmslave5_PADDR,
        pwdata           => CoreAPB3_0_APBmslave5_PWDATA,
        dcs_busBdata_in  => RCU_DEC_0_dcs_busBdata_in,
        -- Outputs
        pready           => CoreAPB3_0_APBmslave5_PREADY,
        pslverr          => CoreAPB3_0_APBmslave5_PSLVERR,
        global_reset     => OPEN,
        rcu_reset        => OPEN,
        fec_reset        => OPEN,
        we_dcs           => apb_to_dcs_0_we_dcs,
        dcs_bi           => apb_to_dcs_0_dcs_bi,
        dcs_br           => apb_to_dcs_0_dcs_br,
        prdata           => CoreAPB3_0_APBmslave5_PRDATA,
        dcs_busBadd      => apb_to_dcs_0_dcs_busBadd,
        dcs_busBdata_out => apb_to_dcs_0_dcs_busBdata_out 
        );
-- BIBUF_0
BIBUF_0 : BIBUF
    port map( 
        -- Inputs
        D   => Trigger_receiver_v1_7_MSS_0_MAC_MII_MDO,
        E   => Trigger_receiver_v1_7_MSS_0_MAC_MII_MDO_EN,
        -- Outputs
        Y   => BIBUF_0_Y,
        -- Inouts
        PAD => MAC_MII_MDIO 
        );
-- CoreAPB3_0   -   Actel:DirectCore:CoreAPB3:4.0.100
CoreAPB3_0 : entity COREAPB3_LIB.CoreAPB3
    generic map( 
        APB_DWIDTH      => ( 32 ),
        APBSLOT0ENABLE  => ( 0 ),
        APBSLOT1ENABLE  => ( 0 ),
        APBSLOT2ENABLE  => ( 0 ),
        APBSLOT3ENABLE  => ( 0 ),
        APBSLOT4ENABLE  => ( 0 ),
        APBSLOT5ENABLE  => ( 1 ),
        APBSLOT6ENABLE  => ( 0 ),
        APBSLOT7ENABLE  => ( 0 ),
        APBSLOT8ENABLE  => ( 0 ),
        APBSLOT9ENABLE  => ( 0 ),
        APBSLOT10ENABLE => ( 0 ),
        APBSLOT11ENABLE => ( 0 ),
        APBSLOT12ENABLE => ( 0 ),
        APBSLOT13ENABLE => ( 0 ),
        APBSLOT14ENABLE => ( 0 ),
        APBSLOT15ENABLE => ( 0 ),
        IADDR_OPTION    => ( 0 ),
        MADDR_BITS      => ( 32 ),
        SC_0            => ( 0 ),
        SC_1            => ( 0 ),
        SC_2            => ( 0 ),
        SC_3            => ( 0 ),
        SC_4            => ( 0 ),
        SC_5            => ( 0 ),
        SC_6            => ( 0 ),
        SC_7            => ( 0 ),
        SC_8            => ( 0 ),
        SC_9            => ( 0 ),
        SC_10           => ( 0 ),
        SC_11           => ( 0 ),
        SC_12           => ( 0 ),
        SC_13           => ( 0 ),
        SC_14           => ( 0 ),
        SC_15           => ( 0 ),
        UPR_NIBBLE_POSN => ( 6 )
        )
    port map( 
        -- Inputs
        PRESETN    => GND_net, -- tied to '0' from definition
        PCLK       => GND_net, -- tied to '0' from definition
        PWRITE     => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PWRITE,
        PENABLE    => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PENABLE,
        PSEL       => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PSELx,
        PREADYS0   => VCC_net, -- tied to '1' from definition
        PSLVERRS0  => GND_net, -- tied to '0' from definition
        PREADYS1   => VCC_net, -- tied to '1' from definition
        PSLVERRS1  => GND_net, -- tied to '0' from definition
        PREADYS2   => VCC_net, -- tied to '1' from definition
        PSLVERRS2  => GND_net, -- tied to '0' from definition
        PREADYS3   => VCC_net, -- tied to '1' from definition
        PSLVERRS3  => GND_net, -- tied to '0' from definition
        PREADYS4   => VCC_net, -- tied to '1' from definition
        PSLVERRS4  => GND_net, -- tied to '0' from definition
        PREADYS5   => CoreAPB3_0_APBmslave5_PREADY,
        PSLVERRS5  => CoreAPB3_0_APBmslave5_PSLVERR,
        PREADYS6   => VCC_net, -- tied to '1' from definition
        PSLVERRS6  => GND_net, -- tied to '0' from definition
        PREADYS7   => VCC_net, -- tied to '1' from definition
        PSLVERRS7  => GND_net, -- tied to '0' from definition
        PREADYS8   => VCC_net, -- tied to '1' from definition
        PSLVERRS8  => GND_net, -- tied to '0' from definition
        PREADYS9   => VCC_net, -- tied to '1' from definition
        PSLVERRS9  => GND_net, -- tied to '0' from definition
        PREADYS10  => VCC_net, -- tied to '1' from definition
        PSLVERRS10 => GND_net, -- tied to '0' from definition
        PREADYS11  => VCC_net, -- tied to '1' from definition
        PSLVERRS11 => GND_net, -- tied to '0' from definition
        PREADYS12  => VCC_net, -- tied to '1' from definition
        PSLVERRS12 => GND_net, -- tied to '0' from definition
        PREADYS13  => VCC_net, -- tied to '1' from definition
        PSLVERRS13 => GND_net, -- tied to '0' from definition
        PREADYS14  => VCC_net, -- tied to '1' from definition
        PSLVERRS14 => GND_net, -- tied to '0' from definition
        PREADYS15  => VCC_net, -- tied to '1' from definition
        PSLVERRS15 => GND_net, -- tied to '0' from definition
        PREADYS16  => VCC_net, -- tied to '1' from definition
        PSLVERRS16 => GND_net, -- tied to '0' from definition
        PADDR      => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PADDR,
        PWDATA     => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PWDATA,
        PRDATAS0   => PRDATAS0_const_net_0, -- tied to X"0" from definition
        PRDATAS1   => PRDATAS1_const_net_0, -- tied to X"0" from definition
        PRDATAS2   => PRDATAS2_const_net_0, -- tied to X"0" from definition
        PRDATAS3   => PRDATAS3_const_net_0, -- tied to X"0" from definition
        PRDATAS4   => PRDATAS4_const_net_0, -- tied to X"0" from definition
        PRDATAS5   => CoreAPB3_0_APBmslave5_PRDATA,
        PRDATAS6   => PRDATAS6_const_net_0, -- tied to X"0" from definition
        PRDATAS7   => PRDATAS7_const_net_0, -- tied to X"0" from definition
        PRDATAS8   => PRDATAS8_const_net_0, -- tied to X"0" from definition
        PRDATAS9   => PRDATAS9_const_net_0, -- tied to X"0" from definition
        PRDATAS10  => PRDATAS10_const_net_0, -- tied to X"0" from definition
        PRDATAS11  => PRDATAS11_const_net_0, -- tied to X"0" from definition
        PRDATAS12  => PRDATAS12_const_net_0, -- tied to X"0" from definition
        PRDATAS13  => PRDATAS13_const_net_0, -- tied to X"0" from definition
        PRDATAS14  => PRDATAS14_const_net_0, -- tied to X"0" from definition
        PRDATAS15  => PRDATAS15_const_net_0, -- tied to X"0" from definition
        PRDATAS16  => PRDATAS16_const_net_0, -- tied to X"0" from definition
        IADDR      => IADDR_const_net_0, -- tied to X"0" from definition
        -- Outputs
        PREADY     => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PREADY,
        PSLVERR    => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PSLVERR,
        PWRITES    => CoreAPB3_0_APBmslave5_PWRITE,
        PENABLES   => CoreAPB3_0_APBmslave5_PENABLE,
        PSELS0     => OPEN,
        PSELS1     => OPEN,
        PSELS2     => OPEN,
        PSELS3     => OPEN,
        PSELS4     => OPEN,
        PSELS5     => CoreAPB3_0_APBmslave5_PSELx,
        PSELS6     => OPEN,
        PSELS7     => OPEN,
        PSELS8     => OPEN,
        PSELS9     => OPEN,
        PSELS10    => OPEN,
        PSELS11    => OPEN,
        PSELS12    => OPEN,
        PSELS13    => OPEN,
        PSELS14    => OPEN,
        PSELS15    => OPEN,
        PSELS16    => OPEN,
        PRDATA     => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PRDATA,
        PADDRS     => CoreAPB3_0_APBmslave5_PADDR,
        PWDATAS    => CoreAPB3_0_APBmslave5_PWDATA 
        );
-- CoreSF2Config_0   -   Actel:DirectCore:CoreSF2Config:3.0.100
CoreSF2Config_0 : CoreSF2Config
    port map( 
        -- Inputs
        FIC_2_APB_M_PRESET_N => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_M_PRESET_N,
        FIC_2_APB_M_PCLK     => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_M_PCLK,
        INIT_DONE            => CoreSF2Reset_0_INIT_DONE,
        FIC_2_APB_M_PSEL     => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PSELx,
        FIC_2_APB_M_PENABLE  => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PENABLE,
        FIC_2_APB_M_PWRITE   => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PWRITE,
        MDDR_PREADY          => CoreSF2Config_0_MDDR_APBmslave_PREADY,
        MDDR_PSLVERR         => CoreSF2Config_0_MDDR_APBmslave_PSLVERR,
        FDDR_PREADY          => VCC_net, -- tied to '1' from definition
        FDDR_PSLVERR         => GND_net, -- tied to '0' from definition
        SDIF0_PREADY         => VCC_net, -- tied to '1' from definition
        SDIF0_PSLVERR        => GND_net, -- tied to '0' from definition
        SDIF1_PREADY         => VCC_net, -- tied to '1' from definition
        SDIF1_PSLVERR        => GND_net, -- tied to '0' from definition
        SDIF2_PREADY         => VCC_net, -- tied to '1' from definition
        SDIF2_PSLVERR        => GND_net, -- tied to '0' from definition
        SDIF3_PREADY         => VCC_net, -- tied to '1' from definition
        SDIF3_PSLVERR        => GND_net, -- tied to '0' from definition
        FIC_2_APB_M_PADDR    => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR_0,
        FIC_2_APB_M_PWDATA   => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PWDATA,
        MDDR_PRDATA          => CoreSF2Config_0_MDDR_APBmslave_PRDATA_0,
        FDDR_PRDATA          => FDDR_PRDATA_const_net_0, -- tied to X"0" from definition
        SDIF0_PRDATA         => SDIF0_PRDATA_const_net_0, -- tied to X"0" from definition
        SDIF1_PRDATA         => SDIF1_PRDATA_const_net_0, -- tied to X"0" from definition
        SDIF2_PRDATA         => SDIF2_PRDATA_const_net_0, -- tied to X"0" from definition
        SDIF3_PRDATA         => SDIF3_PRDATA_const_net_0, -- tied to X"0" from definition
        -- Outputs
        APB_S_PCLK           => CoreSF2Config_0_APB_S_PCLK,
        APB_S_PRESET_N       => CoreSF2Config_0_APB_S_PRESET_N,
        CLR_INIT_DONE        => CoreSF2Config_0_CLR_INIT_DONE,
        CONFIG_DONE          => CoreSF2Config_0_CONFIG_DONE,
        FIC_2_APB_M_PREADY   => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PREADY,
        FIC_2_APB_M_PSLVERR  => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PSLVERR,
        MDDR_PSEL            => CoreSF2Config_0_MDDR_APBmslave_PSELx,
        MDDR_PENABLE         => CoreSF2Config_0_MDDR_APBmslave_PENABLE,
        MDDR_PWRITE          => CoreSF2Config_0_MDDR_APBmslave_PWRITE,
        FDDR_PSEL            => OPEN,
        FDDR_PENABLE         => OPEN,
        FDDR_PWRITE          => OPEN,
        SDIF0_PSEL           => OPEN,
        SDIF0_PENABLE        => OPEN,
        SDIF0_PWRITE         => OPEN,
        SDIF1_PSEL           => OPEN,
        SDIF1_PENABLE        => OPEN,
        SDIF1_PWRITE         => OPEN,
        SDIF2_PSEL           => OPEN,
        SDIF2_PENABLE        => OPEN,
        SDIF2_PWRITE         => OPEN,
        SDIF3_PSEL           => OPEN,
        SDIF3_PENABLE        => OPEN,
        SDIF3_PWRITE         => OPEN,
        FIC_2_APB_M_PRDATA   => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PRDATA,
        MDDR_PADDR           => CoreSF2Config_0_MDDR_APBmslave_PADDR,
        MDDR_PWDATA          => CoreSF2Config_0_MDDR_APBmslave_PWDATA,
        FDDR_PADDR           => OPEN,
        FDDR_PWDATA          => OPEN,
        SDIF0_PADDR          => OPEN,
        SDIF0_PWDATA         => OPEN,
        SDIF1_PADDR          => OPEN,
        SDIF1_PWDATA         => OPEN,
        SDIF2_PADDR          => OPEN,
        SDIF2_PWDATA         => OPEN,
        SDIF3_PADDR          => OPEN,
        SDIF3_PWDATA         => OPEN 
        );
-- CoreSF2Reset_0   -   Actel:DirectCore:CoreSF2Reset:3.0.100
CoreSF2Reset_0 : CoreSF2Reset
    generic map( 
        DDR_WAIT       => ( 200 ),
        DEVICE_VOLTAGE => ( 2 ),
        EXT_RESET_CFG  => ( 3 ),
        FDDR_IN_USE    => ( 0 ),
        MDDR_IN_USE    => ( 1 ),
        SDIF0_IN_USE   => ( 0 ),
        SDIF1_IN_USE   => ( 0 ),
        SDIF2_IN_USE   => ( 0 ),
        SDIF3_IN_USE   => ( 0 )
        )
    port map( 
        -- Inputs
        MSS_RESET_N_M2F             => Trigger_receiver_v1_7_MSS_0_MSS_RESET_N_M2F,
        POWER_ON_RESET_N            => SYSRESET_0_POWER_ON_RESET_N,
        EXT_RESET_IN_N              => VCC_net, -- tied to '1' from definition
        USER_FAB_RESET_IN_N         => VCC_net, -- tied to '1' from definition
        RCOSC_25_50MHZ              => FCCC_2_GL0,
        FPLL_LOCK                   => GND_net, -- tied to '0' from definition
        SDIF0_SPLL_LOCK             => GND_net, -- tied to '0' from definition
        SDIF1_SPLL_LOCK             => GND_net, -- tied to '0' from definition
        SDIF2_SPLL_LOCK             => GND_net, -- tied to '0' from definition
        SDIF3_SPLL_LOCK             => GND_net, -- tied to '0' from definition
        CONFIG_DONE                 => CoreSF2Config_0_CONFIG_DONE,
        CLR_INIT_DONE               => CoreSF2Config_0_CLR_INIT_DONE,
        -- Outputs
        MSS_RESET_N_F2M             => OPEN,
        M3_RESET_N                  => OPEN,
        EXT_RESET_OUT               => OPEN,
        USER_FAB_RESET_N            => OPEN,
        MDDR_DDR_AXI_S_CORE_RESET_N => OPEN,
        FDDR_CORE_RESET_N           => OPEN,
        SDIF0_CORE_RESET_N          => OPEN,
        SDIF0_PHY_RESET_N           => OPEN,
        SDIF1_CORE_RESET_N          => OPEN,
        SDIF1_PHY_RESET_N           => OPEN,
        SDIF2_CORE_RESET_N          => OPEN,
        SDIF2_PHY_RESET_N           => OPEN,
        SDIF3_CORE_RESET_N          => OPEN,
        SDIF3_PHY_RESET_N           => OPEN,
        INIT_DONE                   => CoreSF2Reset_0_INIT_DONE 
        );
-- FCCC_0   -   Actel:SgCore:FCCC:2.0.100
FCCC_0 : Trigger_receiver_v1_7_FCCC_0_FCCC
    port map( 
        -- Inputs
        CLK0          => clk_40_net_0,
        CLK1          => FCCC_1_GL0,
        NGMUX2_SEL    => FCCC_0_LOCK,
        NGMUX2_HOLD_N => VCC_net,
        NGMUX2_ARST_N => SYSRESET_0_POWER_ON_RESET_N,
        -- Outputs
        GL2           => GL2_net_0,
        LOCK          => FCCC_0_LOCK 
        );
-- FCCC_1   -   Actel:SgCore:FCCC:2.0.100
FCCC_1 : Trigger_receiver_v1_7_FCCC_1_FCCC
    port map( 
        -- Inputs
        XTLOSC => OSC_0_XTLOSC_CCC_OUT_XTLOSC_CCC,
        -- Outputs
        GL0    => FCCC_1_GL0,
        LOCK   => FCCC_1_LOCK 
        );
-- FCCC_2   -   Actel:SgCore:FCCC:2.0.100
FCCC_2 : Trigger_receiver_v1_7_FCCC_2_FCCC
    port map( 
        -- Inputs
        CLK0 => GL2_net_0,
        -- Outputs
        GL0  => FCCC_2_GL0,
        LOCK => OPEN 
        );
-- INBUF_DIFF_0
INBUF_DIFF_0 : INBUF_DIFF
    port map( 
        -- Inputs
        PADP => PADP,
        PADN => PADN,
        -- Outputs
        Y    => INBUF_DIFF_0_Y 
        );
-- OR2_0
OR2_0 : OR2
    port map( 
        -- Inputs
        A => FCCC_1_LOCK,
        B => FCCC_0_LOCK,
        -- Outputs
        Y => OR2_0_Y 
        );
-- OSC_0   -   Actel:SgCore:OSC:1.0.100
OSC_0 : Trigger_receiver_v1_7_OSC_0_OSC
    port map( 
        -- Inputs
        XTL                => XTL,
        -- Outputs
        RCOSC_25_50MHZ_CCC => OPEN,
        RCOSC_25_50MHZ_O2F => OPEN,
        RCOSC_1MHZ_CCC     => OPEN,
        RCOSC_1MHZ_O2F     => OPEN,
        XTLOSC_CCC         => OSC_0_XTLOSC_CCC_OUT_XTLOSC_CCC,
        XTLOSC_O2F         => OPEN 
        );
-- RCU_DEC_0
RCU_DEC_0 : entity work.RCU_DEC
    port map( 
        -- Inputs
        clk              => GL2_net_0,
        rst_n            => Trigger_receiver_v1_7_MSS_0_MSS_RESET_N_M2F,
        dcs_we           => apb_to_dcs_0_we_dcs,
        dcs_bi           => apb_to_dcs_0_dcs_bi,
        dcs_br           => apb_to_dcs_0_dcs_br,
        altro_err_a      => GND_net,
        altro_err_b      => GND_net,
        siu_bi           => GND_net,
        siu_br           => GND_net,
        siu_we           => GND_net,
        ins_bsy          => GND_net,
        is_fail_reg      => GND_net,
        exe_ev           => GND_net,
        meb_full         => GND_net,
        err_scev         => GND_net,
        da_bsy           => GND_net,
        rd_rx            => GND_net,
        en_blerr_cnt     => GND_net,
        en_chadderr_cnt  => GND_net,
        we_FEC_AL_fsc    => GND_net,
        dstb_a           => GND_net,
        cstb_a           => GND_net,
        ack_a            => GND_net,
        trsf_a           => GND_net,
        dstb_b           => GND_net,
        cstb_b           => GND_net,
        ack_b            => GND_net,
        trsf_b           => GND_net,
        L1               => GND_net,
        L2               => GND_net,
        dcs_busBadd      => apb_to_dcs_0_dcs_busBadd,
        dcs_busBdata_out => apb_to_dcs_0_dcs_busBdata_out,
        siu_data_out     => siu_data_out_const_net_0,
        siu_add          => siu_add_const_net_0,
        im_dout          => im_dout_const_net_0,
        rcu_rolm_out     => rcu_rolm_out_const_net_0,
        rm_dout          => rm_dout_const_net_0,
        rcu_ttcrx_dout   => trigger_receiver_0_data_out,
        rcu_hlm_out      => rcu_hlm_out_const_net_0,
        rcu_dm_out       => rcu_dm_out_const_net_0,
        fecerr_a         => fecerr_a_const_net_0,
        fecerr_b         => fecerr_b_const_net_0,
        meb_st_cnt       => meb_st_cnt_const_net_0,
        swt_trg_cnt      => swt_trg_cnt_const_net_0,
        aux_trg_cnt      => aux_trg_cnt_const_net_0,
        ttc_L2a_cnt      => ttc_L2a_cnt_const_net_0,
        ttc_L2r_cnt      => ttc_L2r_cnt_const_net_0,
        ttc_L1r_cnt      => ttc_L1r_cnt_const_net_0,
        err_code         => err_code_const_net_0,
        data_ready       => data_ready_const_net_0,
        dm_sel           => dm_sel_const_net_0,
        FEC_AL_fsc       => FEC_AL_fsc_const_net_0,
        dstb_numA        => dstb_numA_const_net_0,
        dstb_numB        => dstb_numB_const_net_0,
        fsmwr_st_a       => fsmwr_st_a_const_net_0,
        fsmrd_st_a       => fsmrd_st_a_const_net_0,
        fsmwr_st_b       => fsmwr_st_b_const_net_0,
        fsmrd_st_b       => fsmrd_st_b_const_net_0,
        fsmevrdoctrl_st  => fsmevrdoctrl_st_const_net_0,
        fsmselbr_st_a    => fsmselbr_st_a_const_net_0,
        fsmselbr_st_b    => fsmselbr_st_b_const_net_0,
        fsmevlen_st      => fsmevlen_st_const_net_0,
        fsmscevlen_st    => fsmscevlen_st_const_net_0,
        fsmrdo_st_a      => fsmrdo_st_a_const_net_0,
        fsmrdo_st_b      => fsmrdo_st_b_const_net_0,
        fsminstseq_st    => fsminstseq_st_const_net_0,
        fsminstloop_st   => fsminstloop_st_const_net_0,
        fsmtsttrg_st     => fsmtsttrg_st_const_net_0,
        fsmttctrg_st     => fsmttctrg_st_const_net_0,
        fsmev_st         => fsmev_st_const_net_0,
        fsminsseq_st     => fsminsseq_st_const_net_0,
        fsmru_st         => fsmru_st_const_net_0,
        fsmdamain_st     => fsmdamain_st_const_net_0,
        fsmrdcdh_st      => fsmrdcdh_st_const_net_0,
        fsmrdcdhsoft_st  => fsmrdcdhsoft_st_const_net_0,
        fsmrddm_st       => fsmrddm_st_const_net_0,
        fsmrdpar_st      => fsmrdpar_st_const_net_0,
        fsmrdrm_st       => fsmrdrm_st_const_net_0,
        -- Outputs
        rcu_wen          => RCU_DEC_0_rcu_wen,
        dcs_bg           => RCU_DEC_0_dcs_bg,
        siu_bg           => RCU_DEC_0_siu_bg,
        rcu_im_en        => OPEN,
        rcu_rolm_en      => OPEN,
        rcu_rm_en        => OPEN,
        rcu_hlm_en       => OPEN,
        cfg_fec          => OPEN,
        exe_seq          => OPEN,
        abrtseq          => OPEN,
        swt_trg          => OPEN,
        clr_err_reg      => OPEN,
        clr_trg_cnt      => OPEN,
        arm_syn          => OPEN,
        en_chkrdyrx_n    => OPEN,
        sprs_rdo         => OPEN,
        skp_emp_ch       => OPEN,
        trg_mode         => OPEN,
        meb_mode         => OPEN,
        es_on            => OPEN,
        bp_version       => RCU_DEC_0_bp_version,
        mask_ch_add      => OPEN,
        mask_blk_len     => OPEN,
        rcu_add          => RCU_DEC_0_rcu_add,
        rcu_data_out     => RCU_DEC_0_rcu_data_out,
        dcs_busBdata_in  => RCU_DEC_0_dcs_busBdata_in,
        siu_data_in      => OPEN,
        sel              => OPEN,
        prg_dly          => OPEN,
        trg_prg_dly      => OPEN,
        trg_source       => OPEN,
        samp_frec        => OPEN,
        rcu_version      => OPEN,
        rcu_id           => OPEN,
        rdo_cfg1         => OPEN,
        rdo_cfg2         => OPEN,
        rdo_err          => OPEN,
        bl_err_cnt       => OPEN,
        chadd_err_cnt    => OPEN,
        fec_act_list     => OPEN,
        inst_err_chk     => OPEN 
        );
-- SYSRESET_0
SYSRESET_0 : SYSRESET
    port map( 
        -- Inputs
        DEVRST_N         => DEVRST_N,
        -- Outputs
        POWER_ON_RESET_N => SYSRESET_0_POWER_ON_RESET_N 
        );
-- trigger_receiver_0
trigger_receiver_0 : entity work.trigger_receiver
    generic map( 
        include_fifo_parity => ( 1 ),
        include_phase_check => ( 1 ),
        platform            => ( 1 )
        )
    port map( 
        -- Inputs
        clk               => GL2_net_0,
        sclk              => GND_net,
        reset_n           => Trigger_receiver_v1_7_MSS_0_MSS_RESET_N_M2F,
        soft_reset        => GND_net,
        L1Accept          => ttc_0_ch_a,
        serialBchannel    => ttc_0_ch_b,
        detector          => RCU_DEC_0_bp_version,
        read_enable       => GND_net,
        meb_full          => GND_net,
        ddl_rdy_rx        => VCC_net,
        we                => RCU_DEC_0_rcu_wen,
        data_in           => RCU_DEC_0_rcu_data_out,
        RCU_addr          => RCU_DEC_0_rcu_add,
        -- Outputs
        FEE_reset         => OPEN,
        busy              => OPEN,
        cal_pre_pulse     => OPEN,
        start_of_run      => OPEN,
        end_of_run        => OPEN,
        sync              => OPEN,
        event_reset       => OPEN,
        bunch_reset       => bunch_reset_net_0,
        bunchcnt_overflow => OPEN,
        L0_trigger        => L0_trigger_net_0,
        L1a_trigger       => L1a_trigger_net_0,
        L1r_trigger       => L1r_trigger_net_0,
        L2a_trigger       => L2a_trigger_net_0,
        L2r_trigger       => L2r_trigger_net_0,
        L2_timeout        => OPEN,
        DAQ_header_out    => OPEN,
        read_counter_out  => OPEN,
        buffered_events   => OPEN,
        data_out          => trigger_receiver_0_data_out 
        );
-- Trigger_receiver_v1_7_MSS_0
Trigger_receiver_v1_7_MSS_0 : Trigger_receiver_v1_7_MSS
    port map( 
        -- Inputs
        MCCC_CLK_BASE          => GL2_net_0,
        MCCC_CLK_BASE_PLL_LOCK => OR2_0_Y,
        FIC_0_APB_M_PREADY     => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PREADY,
        FIC_0_APB_M_PSLVERR    => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PSLVERR,
        MMUART_0_RXD           => MMUART_0_RXD,
        GPIO_1_F2M             => GPIO_1_F2M,
        MAC_MII_RX_ER          => MAC_MII_RX_ER,
        MAC_MII_RX_DV          => MAC_MII_RX_DV,
        MAC_MII_CRS            => MAC_MII_CRS,
        MAC_MII_COL            => MAC_MII_COL,
        MAC_MII_RX_CLK         => MAC_MII_RX_CLK,
        MAC_MII_TX_CLK         => MAC_MII_TX_CLK,
        MDDR_DQS_TMATCH_0_IN   => MDDR_DQS_TMATCH_0_IN,
        SPI_0_DI               => SPI_0_DI,
        MDDR_APB_S_PRESET_N    => CoreSF2Config_0_APB_S_PRESET_N,
        MDDR_APB_S_PCLK        => CoreSF2Config_0_APB_S_PCLK,
        FIC_2_APB_M_PREADY     => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PREADY,
        FIC_2_APB_M_PSLVERR    => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PSLVERR,
        MDDR_APB_S_PWRITE      => CoreSF2Config_0_MDDR_APBmslave_PWRITE,
        MDDR_APB_S_PENABLE     => CoreSF2Config_0_MDDR_APBmslave_PENABLE,
        MDDR_APB_S_PSEL        => CoreSF2Config_0_MDDR_APBmslave_PSELx,
        MAC_MII_MDI            => BIBUF_0_Y,
        FIC_0_APB_M_PRDATA     => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PRDATA,
        MAC_MII_RXD            => MAC_MII_RXD,
        FIC_2_APB_M_PRDATA     => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PRDATA,
        MDDR_APB_S_PWDATA      => CoreSF2Config_0_MDDR_APBmslave_PWDATA_0,
        MDDR_APB_S_PADDR       => CoreSF2Config_0_MDDR_APBmslave_PADDR_0,
        -- Outputs
        MSS_RESET_N_M2F        => Trigger_receiver_v1_7_MSS_0_MSS_RESET_N_M2F,
        FIC_0_APB_M_PSEL       => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PSELx,
        FIC_0_APB_M_PWRITE     => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PWRITE,
        FIC_0_APB_M_PENABLE    => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PENABLE,
        MMUART_0_TXD           => MMUART_0_TXD_1,
        MAC_MII_TX_EN          => MAC_MII_TX_EN_net_0,
        MAC_MII_TX_ER          => MAC_MII_TX_ER_net_0,
        MDDR_DQS_TMATCH_0_OUT  => MDDR_DQS_TMATCH_0_OUT_1,
        MDDR_CAS_N             => MDDR_CAS_N_1,
        MDDR_CLK               => MDDR_CLK_1,
        MDDR_CLK_N             => MDDR_CLK_N_1,
        MDDR_CKE               => MDDR_CKE_1,
        MDDR_CS_N              => MDDR_CS_N_1,
        MDDR_ODT               => MDDR_ODT_1,
        MDDR_RAS_N             => MDDR_RAS_N_1,
        MDDR_RESET_N           => MDDR_RESET_N_1,
        MDDR_WE_N              => MDDR_WE_N_1,
        SPI_0_DO               => SPI_0_DO_1,
        FIC_2_APB_M_PRESET_N   => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_M_PRESET_N,
        FIC_2_APB_M_PCLK       => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_M_PCLK,
        FIC_2_APB_M_PWRITE     => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PWRITE,
        FIC_2_APB_M_PENABLE    => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PENABLE,
        FIC_2_APB_M_PSEL       => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PSELx,
        MDDR_APB_S_PREADY      => CoreSF2Config_0_MDDR_APBmslave_PREADY,
        MDDR_APB_S_PSLVERR     => CoreSF2Config_0_MDDR_APBmslave_PSLVERR,
        MAC_MII_MDC            => MAC_MII_MDC_net_0,
        MAC_MII_MDO_EN         => Trigger_receiver_v1_7_MSS_0_MAC_MII_MDO_EN,
        MAC_MII_MDO            => Trigger_receiver_v1_7_MSS_0_MAC_MII_MDO,
        FIC_0_APB_M_PADDR      => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PADDR,
        FIC_0_APB_M_PWDATA     => Trigger_receiver_v1_7_MSS_0_FIC_0_APB_MASTER_PWDATA,
        MAC_MII_TXD            => MAC_MII_TXD_net_0,
        MDDR_ADDR              => MDDR_ADDR_1,
        MDDR_BA                => MDDR_BA_1,
        FIC_2_APB_M_PADDR      => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PADDR,
        FIC_2_APB_M_PWDATA     => Trigger_receiver_v1_7_MSS_0_FIC_2_APB_MASTER_PWDATA,
        MDDR_APB_S_PRDATA      => CoreSF2Config_0_MDDR_APBmslave_PRDATA,
        -- Inouts
        SPI_0_CLK              => SPI_0_CLK,
        SPI_0_SS0              => SPI_0_SS0,
        MDDR_DM_RDQS           => MDDR_DM_RDQS,
        MDDR_DQ                => MDDR_DQ,
        MDDR_DQS               => MDDR_DQS 
        );
-- ttc_0
ttc_0 : ttc
    port map( 
        -- Inputs
        rst_n      => Trigger_receiver_v1_7_MSS_0_MSS_RESET_N_M2F,
        tx_data_in => INBUF_DIFF_0_Y,
        -- Outputs
        clk_40     => clk_40_net_0,
        ch_a       => ttc_0_ch_a,
        ch_b       => ttc_0_ch_b 
        );

end RTL;
