----------------------------------------------------------------------
-- Created by Actel SmartDesign Tue Nov 26 16:32:33 2013
-- Testbench Template
-- This is a basic testbench that instantiates your design with basic 
-- clock and reset pins connected.  If your design has special
-- clock/reset or testbench driver requirements then you should 
-- copy this file and modify it. 
----------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity testbench is
end testbench;

architecture behavioral of testbench is

    constant SYSCLK_PERIOD : time := 100 ns;

    signal SYSCLK : std_logic := '0';
    signal NSYSRESET : std_logic := '0';

    component Trigger_receiver_v1_7
        -- ports
        port( 
            -- Inputs
            DEVRST_N : in std_logic;
            MMUART_0_RXD : in std_logic;
            GPIO_1_F2M : in std_logic;
            MAC_MII_RX_ER : in std_logic;
            MAC_MII_RX_DV : in std_logic;
            MAC_MII_CRS : in std_logic;
            MAC_MII_COL : in std_logic;
            MAC_MII_RX_CLK : in std_logic;
            MAC_MII_TX_CLK : in std_logic;
            MDDR_DQS_TMATCH_0_IN : in std_logic;
            SPI_0_DI : in std_logic;
            XTL : in std_logic;
            PADP : in std_logic;
            PADN : in std_logic;
            MAC_MII_RXD : in std_logic_vector(3 downto 0);

            -- Outputs
            MMUART_0_TXD : out std_logic;
            L2a_trigger : out std_logic;
            L2r_trigger : out std_logic;
            L1a_trigger : out std_logic;
            L0_trigger : out std_logic;
            L1r_trigger : out std_logic;
            bunch_reset : out std_logic;
            MAC_MII_TX_EN : out std_logic;
            MAC_MII_TX_ER : out std_logic;
            MDDR_DQS_TMATCH_0_OUT : out std_logic;
            MDDR_CAS_N : out std_logic;
            MDDR_CLK : out std_logic;
            MDDR_CLK_N : out std_logic;
            MDDR_CKE : out std_logic;
            MDDR_CS_N : out std_logic;
            MDDR_ODT : out std_logic;
            MDDR_RAS_N : out std_logic;
            MDDR_RESET_N : out std_logic;
            MDDR_WE_N : out std_logic;
            SPI_0_DO : out std_logic;
            MAC_MII_MDC : out std_logic;
            GL2 : out std_logic;
            clk_40 : out std_logic;
            MAC_MII_TXD : out std_logic_vector(3 downto 0);
            MDDR_ADDR : out std_logic_vector(15 downto 0);
            MDDR_BA : out std_logic_vector(2 downto 0);

            -- Inouts
            SPI_0_CLK : inout std_logic;
            SPI_0_SS0 : inout std_logic;
            MAC_MII_MDIO : inout std_logic;
            MDDR_DM_RDQS : inout std_logic_vector(1 downto 0);
            MDDR_DQ : inout std_logic_vector(15 downto 0);
            MDDR_DQS : inout std_logic_vector(1 downto 0)

        );
    end component;

begin

    process
        variable vhdl_initial : BOOLEAN := TRUE;

    begin
        if ( vhdl_initial ) then
            -- Assert Reset
            NSYSRESET <= '0';
            wait for ( SYSCLK_PERIOD * 10 );
            
            NSYSRESET <= '1';
            wait;
        end if;
    end process;

    -- 10MHz Clock Driver
    SYSCLK <= not SYSCLK after (SYSCLK_PERIOD / 2.0 );

    -- Instantiate Unit Under Test:  Trigger_receiver_v1_7
    Trigger_receiver_v1_7_0 : Trigger_receiver_v1_7
        -- port map
        port map( 
            -- Inputs
            DEVRST_N => NSYSRESET,
            MMUART_0_RXD => '0',
            GPIO_1_F2M => '0',
            MAC_MII_RX_ER => '0',
            MAC_MII_RX_DV => '0',
            MAC_MII_CRS => '0',
            MAC_MII_COL => '0',
            MAC_MII_RX_CLK => SYSCLK,
            MAC_MII_TX_CLK => SYSCLK,
            MDDR_DQS_TMATCH_0_IN => NSYSRESET,
            SPI_0_DI => '0',
            XTL => SYSCLK,
            PADP => '0',
            PADN => '0',
            MAC_MII_RXD => (others=> '0'),

            -- Outputs
            MMUART_0_TXD =>  open,
            L2a_trigger =>  open,
            L2r_trigger =>  open,
            L1a_trigger =>  open,
            L0_trigger =>  open,
            L1r_trigger =>  open,
            bunch_reset =>  open,
            MAC_MII_TX_EN =>  open,
            MAC_MII_TX_ER =>  open,
            MDDR_DQS_TMATCH_0_OUT =>  open,
            MDDR_CAS_N =>  open,
            MDDR_CLK =>  open,
            MDDR_CLK_N =>  open,
            MDDR_CKE =>  open,
            MDDR_CS_N =>  open,
            MDDR_ODT =>  open,
            MDDR_RAS_N =>  open,
            MDDR_RESET_N =>  open,
            MDDR_WE_N =>  open,
            SPI_0_DO =>  open,
            MAC_MII_MDC =>  open,
            GL2 =>  open,
            clk_40 =>  open,
            MAC_MII_TXD => open,
            MDDR_ADDR => open,
            MDDR_BA => open,

            -- Inouts
            SPI_0_CLK =>  open,
            SPI_0_SS0 =>  open,
            MAC_MII_MDIO =>  open,
            MDDR_DM_RDQS => open,
            MDDR_DQ => open,
            MDDR_DQS => open

        );

end behavioral;

