----------------------------------------------------------------------
-- Created by Actel SmartDesign Thu Oct 17 23:20:29 2013
-- Testbench Template
-- This is a basic testbench that instantiates your design with basic 
-- clock and reset pins connected.  If your design has special
-- clock/reset or testbench driver requirements then you should 
-- copy this file and modify it. 
----------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity testbench is
end testbench;

architecture behavioral of testbench is

    constant SYSCLK_PERIOD : time := 100 ns;

    signal SYSCLK : std_logic := '0';
    signal NSYSRESET : std_logic := '0';

    component ms_event_fifo
        -- ports
        port( 
            -- Inputs
            RESET : in std_logic;
            WE : in std_logic;
            RE : in std_logic;
            CLK : in std_logic;
            DATA : in std_logic_vector(32 downto 0);

            -- Outputs
            FULL : out std_logic;
            EMPTY : out std_logic;
            Q : out std_logic_vector(32 downto 0)

            -- Inouts

        );
    end component;

begin

    process
        variable vhdl_initial : BOOLEAN := TRUE;

    begin
        if ( vhdl_initial ) then
            -- Assert Reset
            NSYSRESET <= '0';
            wait for ( SYSCLK_PERIOD * 10 );
            
            NSYSRESET <= '1';
            wait;
        end if;
    end process;

    -- 10MHz Clock Driver
    SYSCLK <= not SYSCLK after (SYSCLK_PERIOD / 2.0 );

    -- Instantiate Unit Under Test:  ms_event_fifo
    ms_event_fifo_0 : ms_event_fifo
        -- port map
        port map( 
            -- Inputs
            RESET => NSYSRESET,
            WE => '0',
            RE => '0',
            CLK => SYSCLK,
            DATA => (others=> '0'),

            -- Outputs
            FULL =>  open,
            EMPTY =>  open,
            Q => open

            -- Inouts

        );

end behavioral;

